Nie działa program Bauh

Tematy związane z oprogramowaniem, instalacją, konfiguracją
pawelk29
Beginner
Posty: 237
Rejestracja: 29 lutego 2016, 12:51

Nie działa program Bauh

Post autor: pawelk29 » 01 maja 2021, 15:46

Mam sbnapa, flatpaka i chciałem mieć wszystko w jednym dlatego też zamierzałem zainstalować program Bauh, oto co wyświetla się po wpisaniu komendy bauh w terminalu


https://pastebin.com/3vcEjQ8p

hepa
Posty: 75
Rejestracja: 07 maja 2018, 19:56

Re: Nie działa program Bauh

Post autor: hepa » 01 maja 2021, 17:45

pawelk29,
spróbuj wgrać:
libxcb-xinerama0
albo:
libqt5x11extras5

jak nie pomoże szukaj pod tą nazwą:

Kod: Zaznacz cały

Could not load the Qt platform plugin "xcb" in "" even though it was found

pawelk29
Beginner
Posty: 237
Rejestracja: 29 lutego 2016, 12:51

Re: Nie działa program Bauh

Post autor: pawelk29 » 02 maja 2021, 00:19

próbowałem jeszcze raz zainstalować i oto co wyświetla:

https://pastebin.com/NiLMiV7e

Awatar użytkownika
dedito
Moderator
Posty: 3294
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Nie działa program Bauh

Post autor: dedito » 02 maja 2021, 10:39

pawelk29 podaj przedewszystkim specyfikację sprzętowo/programową.
Logi z instalacji bauh sugerują, że masz DE uruchomione na Wayland.

U mnie na Debian testing z XFCE na Xorg działa:

Kod: Zaznacz cały

sudo apt-get install python3 python3-pip python3-yaml python3-dateutil python3-pyqt5 python3-packaging python3-requests

Kod: Zaznacz cały

sudo pip3 install bauh
Collecting bauh
  Downloading bauh-0.9.16-py3-none-any.whl (603 kB)
     |████████████████████████████████| 603 kB 2.4 MB/s 
Requirement already satisfied: pyqt5>=5.12 in /usr/lib/python3/dist-packages (from bauh) (5.15.2)
Requirement already satisfied: packaging in /usr/lib/python3/dist-packages (from bauh) (20.9)
Requirement already satisfied: requests>=2.18 in /usr/lib/python3/dist-packages (from bauh) (2.25.1)
Requirement already satisfied: colorama>=0.3.8 in /usr/lib/python3/dist-packages (from bauh) (0.4.4)
Requirement already satisfied: python-dateutil>=2.7 in /usr/lib/python3/dist-packages (from bauh) (2.8.1)
Requirement already satisfied: pyyaml>=3.13 in /usr/lib/python3/dist-packages (from bauh) (5.3.1)
Requirement already satisfied: PyQt5-sip<13,>=12.8 in /usr/lib/python3/dist-packages (from pyqt5>=5.12->bauh) (12.8.1)
Installing collected packages: bauh
Successfully installed bauh-0.9.16

pawelk29
Beginner
Posty: 237
Rejestracja: 29 lutego 2016, 12:51

Re: Nie działa program Bauh

Post autor: pawelk29 » 02 maja 2021, 13:16

używam Debiana 10.9 kde
niestety żadna z komend nie wnosi nic nowego

Awatar użytkownika
dedito
Moderator
Posty: 3294
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Nie działa program Bauh

Post autor: dedito » 02 maja 2021, 14:31

Pytanie też było o Waylanda.
Przełącz się na XOrg (chociaż to raczej strzał w ciemno).
Odinstaluj też tego menadżera przed ponowną instalacją.

ODPOWIEDZ